use crate::rcore::*;
use crate::rstd::tracing::*;

use super::*;

pub struct TestContextTraced;

impl<'a> Context<'a> for TestContextTraced {
    type T = TracedInstance;

    type Fallible = instances::result::ResultFailOver<Self::T>;

    type D = TracedDiagnostic;

    type LookupError = TestLookupError<'a>;

    fn hash(s: &[u8]) -> Hash {
        TestContextPlain::hash(s)
    }
}
